POST api/NTNonInjury/SaveCPWExpertOpinion
Request Information
URI Parameters
None.
Body Parameters
CPWExpertOpinionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| ClientRequestor | string |
String length: inclusive between 0 and 500 |
|
| ExpertOpinionTypeId | integer |
None. |
|
| ExpertOpinionTypeValue | string |
String length: inclusive between 0 and 500 |
|
| DateOfReview | date |
None. |
|
| ReviewTime | time interval |
None. |
|
| TimeZoneId | integer |
None. |
|
| PhysicianId | integer |
None. |
|
| Opinion | string |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| ComponentType | integer |
None. |
|
| CloseDate | date |
None. |
|
| CloseByName | string |
String length: inclusive between 0 and 100 |
|
| Status | integer |
None. |
|
| CaseNo | integer |
None. |
|
| LastName | string |
String length: inclusive between 0 and 50 |
|
| FirstName | string |
String length: inclusive between 0 and 50 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| CorporationName | string |
String length: inclusive between 0 and 20 |
|
| InteractionType | string |
String length: inclusive between 0 and 50 |
|
| OpenDate | date |
None. |
|
| ExpertOpinionTypeName | string |
String length: inclusive between 0 and 50 |
|
| PhysicianName | string |
String length: inclusive between 0 and 50 |
|
| Abbreviation | string |
String length: inclusive between 0 and 50 |
|
| JobTitle | string |
String length: inclusive between 0 and 200 |
|
| CloseByFirstName | string |
String length: inclusive between 0 and 100 |
|
| CloseByLastName | string |
String length: inclusive between 0 and 100 |
|
| Outcome | integer |
None. |
|
| InterpreterUsed | integer |
None. |
|
| InterpreterReasonId | integer |
None. |
|
| OtherInterpreterReason | string |
String length: inclusive between 0 and 500 |
|
| InterpreterId | string |
None. |
|
| InterpreterName | string |
None. |
|
| Note | string |
String length: inclusive between 0 and 1000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"ClinicalPathwayId": 2,
"ClientRequestor": "sample string 3",
"ExpertOpinionTypeId": 1,
"ExpertOpinionTypeValue": "sample string 4",
"DateOfReview": "2026-06-20T12:53:41.528371-07:00",
"ReviewTime": "00:00:00.1234567",
"TimeZoneId": 1,
"PhysicianId": 1,
"Opinion": "sample string 5",
"EmployeeId": "sample string 6",
"ComponentType": 7,
"CloseDate": "2026-06-20T12:53:41.528371-07:00",
"CloseByName": "sample string 8",
"Status": 9,
"CaseNo": 10,
"LastName": "sample string 11",
"FirstName": "sample string 12",
"CorporationCode": "sample string 13",
"CorporationName": "sample string 14",
"InteractionType": "sample string 15",
"OpenDate": "2026-06-20T12:53:41.528371-07:00",
"ExpertOpinionTypeName": "sample string 16",
"PhysicianName": "sample string 17",
"Abbreviation": "sample string 18",
"JobTitle": "sample string 19",
"CloseByFirstName": "sample string 20",
"CloseByLastName": "sample string 21",
"Outcome": 1,
"InterpreterUsed": 1,
"InterpreterReasonId": 1,
"OtherInterpreterReason": "sample string 22",
"InterpreterId": "sample string 23",
"InterpreterName": "sample string 24",
"Note": "sample string 25",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:53:41.528371-07:00",
"DateUpdated": "2026-06-20T12:53:41.528371-07:00",
"UserIDCreated": 29,
"UserIDUpdated": 30,
"CompanyCode": "sample string 31",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfCPWExpertOpinionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CPWExpertOpinionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ClinicalPathwayId": 2,
"ClientRequestor": "sample string 3",
"ExpertOpinionTypeId": 1,
"ExpertOpinionTypeValue": "sample string 4",
"DateOfReview": "2026-06-20T12:53:41.559662-07:00",
"ReviewTime": "00:00:00.1234567",
"TimeZoneId": 1,
"PhysicianId": 1,
"Opinion": "sample string 5",
"EmployeeId": "sample string 6",
"ComponentType": 7,
"CloseDate": "2026-06-20T12:53:41.559662-07:00",
"CloseByName": "sample string 8",
"Status": 9,
"CaseNo": 10,
"LastName": "sample string 11",
"FirstName": "sample string 12",
"CorporationCode": "sample string 13",
"CorporationName": "sample string 14",
"InteractionType": "sample string 15",
"OpenDate": "2026-06-20T12:53:41.559662-07:00",
"ExpertOpinionTypeName": "sample string 16",
"PhysicianName": "sample string 17",
"Abbreviation": "sample string 18",
"JobTitle": "sample string 19",
"CloseByFirstName": "sample string 20",
"CloseByLastName": "sample string 21",
"Outcome": 1,
"InterpreterUsed": 1,
"InterpreterReasonId": 1,
"OtherInterpreterReason": "sample string 22",
"InterpreterId": "sample string 23",
"InterpreterName": "sample string 24",
"Note": "sample string 25",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:53:41.559662-07:00",
"DateUpdated": "2026-06-20T12:53:41.559662-07:00",
"UserIDCreated": 29,
"UserIDUpdated": 30,
"CompanyCode": "sample string 31",
"IsExcludeDiscount": true
},
"totalCount": 3
}